import { Http,Util } from '@/utils';
import EntityService from '../entity-service';



/**
 * 视图数据信息实体服务对象基类
 *
 * @export
 * @class IBIZVIEWMESSServiceBase
 * @extends {EntityServie}
 */
export default class IBIZVIEWMESSServiceBase extends EntityService {

    /**
     * Creates an instance of  IBIZVIEWMESSServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  IBIZVIEWMESSServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础数据
     *
     * @memberof IBIZVIEWMESSServiceBase
     */
    public initBasicData(){
        this.APPLYDEKEY ='ibizviewmess';
        this.APPDEKEY = 'ibizviewmessid';
        this.APPDENAME = 'ibizviewmesses';
        this.APPDETEXT = 'ibizviewmessname';
        this.APPNAME = 'web';
        this.SYSTEMNAME = 'demosys';
    }

// 实体接口

    /**
     * Select接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof IBIZVIEWMESSServiceBase
     */
    public async Select(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
            let res:any = Http.getInstance().get(`/ibizviewmesses/${context.ibizviewmess}/select`,isloading);
            
            return res;
    }

    /**
     * FetchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof IBIZVIEWMESSServiceBase
     */
    public async FetchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
    }

    /**
     * searchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof IBIZVIEWMESSServiceBase
     */
    public async searchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        let tempData:any = JSON.parse(JSON.stringify(data));
        return await Http.getInstance().post(`/ibizviewmesses/searchdefault`,tempData,isloading);
    }
}